unit f_panel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, atPanel;

type
  TfmatPanel = class(TForm)
    Panel1: TPanel;
    atPanel: TatPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    Arrangement: TRadioGroup;
    GroupBox1: TGroupBox;
    cbAutoSize: TCheckBox;
    cbWrapControls: TCheckBox;
    Align: TRadioGroup;
    GroupBox2: TGroupBox;
    edHorzMargin: TEdit;
    edVertMargin: TEdit;
    edHorzInterspace: TEdit;
    edVertInterspace: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    Panel2: TPanel;
    Memo1: TMemo;
    procedure ArrangementClick(Sender: TObject);
    procedure AlignClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure cbAutoSizeClick(Sender: TObject);
    procedure cbWrapControlsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmatPanel: TfmatPanel;

implementation

{$R *.DFM}

procedure TfmatPanel.ArrangementClick(Sender: TObject);
begin
   Case Arrangement.ItemIndex of
      0 : atPanel.Arrangement:=arHorizontal;
      1 : atPanel.Arrangement:=arVertical;
   end;
end;

procedure TfmatPanel.AlignClick(Sender: TObject);
begin
   Case Align.ItemIndex of
      0 : atPanel.Align:=alTop;
      1 : atPanel.Align:=alBottom;
      2 : atPanel.Align:=alLeft;
      3 : atPanel.Align:=alRight;
   end;
   atPanel.ArrangeControls;
end;

procedure TfmatPanel.Button1Click(Sender: TObject);
begin
   With atPanel do
   begin
      VertMargin     := StrToInt( edVertMargin.Text );
      HorzMargin     := StrToInt( edHorzMargin.Text );
      VertInterspace := StrToInt( edVertInterspace.Text );
      HorzInterspace := StrToInt( edHorzInterspace.Text );
   end;
end;

procedure TfmatPanel.cbAutoSizeClick(Sender: TObject);
begin
   atPanel.AutoSize:=cbAutoSize.Checked;
end;

procedure TfmatPanel.cbWrapControlsClick(Sender: TObject);
begin
   atPanel.WrapControls:=cbWrapControls.Checked;
end;

end.
